MSB3971: impossibile trovare gli assembly di riferimento per 'name'

Testo dell'errore completo:

The reference assemblies for 'framework-version' were not found. You might be using an older .NET SDK to target .NET 5.0 or higher. Update Visual Studio and/or your .NET SDK.

Questo errore si verifica quando si compila per .NET 5 o versione successiva, ma si usa una versione precedente di .NET SDK. Questo problema può in genere essere risolto eseguendo l'aggiornamento a una versione più recente degli strumenti di compilazione.